%define upstream_name    Perl-Critic-Pulp
%define upstream_version 75

%define _provides_exceptions perl(Perl::MinimumVersion)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Don't use Foo:: style barewords
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Perl/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::String) >= 1.20.0
BuildRequires: perl(List::MoreUtils) >= 0.240.0
BuildRequires: perl(List::Util)
BuildRequires: perl(PPI) >= 1.212.0
BuildRequires: perl(PPI::Document)
BuildRequires: perl(PPI::Dumper)
BuildRequires: perl(Perl::Critic) >= 1.84.0
BuildRequires: perl(Perl::Critic::Policy) >= 1.84.0
BuildRequires: perl(Perl::Critic::Utils) >= 1.100.0
BuildRequires: perl(Perl::Critic::Utils::PPI)
BuildRequires: perl(Perl::Critic::Violation)
BuildRequires: perl(Pod::MinimumVersion) >= 50.0.0
BuildRequires: perl(Pod::ParseLink)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(version)
BuildArch:  noarch

%description
This is a collection of add-on policies for 'Perl::Critic', summarized
below. They're under a "pulp" theme plus other themes according to their
purpose (see the Perl::Critic/POLICY THEMES manpage).

Roughly half are code related and half cosmetic. You can always enable or
disable the ones you do or don't want. It's normal to pick and choose
things reported. There's a lot of perlcritic policies both built-in and
add-on and they range from helpful things catching problems through to the
bizarre or restrictive, and in some cases mutually contradictory! Many are
only intended as building blocks for enforcing a house style. If you try to
pass everything then you'll give away big parts of the language, so if
you're not turning off or customizing about half then you're either not
trying or you're much too easily lead!

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
rm -f *.list
%make test

%install
%makeinstall_std

%files
%doc COPYING Changes META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 75.0.0-2.mga3
+ Revision: 371675
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 75.0.0-1.mga3
+ Revision: 342491
- update to 75

* Wed Nov 07 2012 jquelin <jquelin> 74.0.0-1.mga3
+ Revision: 315821
- update to 74

* Wed Jul 11 2012 jquelin <jquelin> 73.0.0-1.mga3
+ Revision: 269472
- update to 73

* Thu Feb 23 2012 jquelin <jquelin> 69.0.0-1.mga2
+ Revision: 213174
- update to 69

* Mon Dec 19 2011 jquelin <jquelin> 67.0.0-1.mga2
+ Revision: 184213
- update to 67

* Mon Dec 12 2011 jquelin <jquelin> 66.0.0-1.mga2
+ Revision: 180959
- update to 66

* Mon Sep 26 2011 jquelin <jquelin> 65.0.0-1.mga2
+ Revision: 148195
- update to 65
- update to 64

* Wed Jul 13 2011 jquelin <jquelin> 62.0.0-1.mga2
+ Revision: 123642
- update to 62

* Wed Jun 15 2011 jquelin <jquelin> 61.0.0-1.mga2
+ Revision: 107303
- update to 61

* Tue Apr 19 2011 jquelin <jquelin> 53.0.0-1.mga1
+ Revision: 88555
- update to 53

* Mon Apr 04 2011 jquelin <jquelin> 51.0.0-1.mga1
+ Revision: 80323
- update to 51

* Mon Mar 28 2011 jquelin <jquelin> 50.0.0-1.mga1
+ Revision: 78370
- update to 50

* Wed Mar 16 2011 jquelin <jquelin> 49.0.0-1.mga1
+ Revision: 72375
- update to 49

* Tue Mar 15 2011 jquelin <jquelin> 48.0.0-2.mga1
+ Revision: 71820
- remove erroneous provides:

* Wed Mar 09 2011 jquelin <jquelin> 48.0.0-1.mga1
+ Revision: 67030
- update to 48

* Thu Feb 17 2011 dmorgan <dmorgan> 47.0.0-1.mga1
+ Revision: 52966
- New version

* Mon Jan 24 2011 jquelin <jquelin> 45.0.0-1.mga1
+ Revision: 37184
- mageia rebuild
- imported package perl-Perl-Critic-Pulp

